package com.bipt.intelligentapplicationorchestrationservice.controller;

import com.bipt.intelligentapplicationorchestrationservice.pojo.ModelDTO;
import com.bipt.intelligentapplicationorchestrationservice.pojo.OptResult;
import com.bipt.intelligentapplicationorchestrationservice.service.ModelService;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

@Slf4j
@RestController
@RequestMapping("/model")
@Tag(name = "模型部分相关接口")
public class ModelController {
    @Autowired
    private ModelService modelService;
    @Operation(summary = "创建模型")
    @PostMapping("/createModel")
    public OptResult creatModel(@RequestBody ModelDTO dto){
        log.info("创建模型");
        modelService.createModel(dto);
        return OptResult.success();
    }

    @Operation(summary = "新增模型版本")
    @PostMapping("/createModelVersion")
    public OptResult createModelVersion(@RequestBody ModelDTO dto){
        log.info("新增模型版本");
        modelService.createModelVersion(dto);
        return OptResult.success();
    }

}
